package com.dgt.graphdemo.jpa.entity;

import javax.persistence.*;
import java.util.Objects;

/**
 * @author lugela
 * @Title: RiskTipEntity
 * @ProjectName graphdemo
 * @Description: TODO
 * @date 2019/6/24 12:23
 * 风险提示
 */
@Entity
@Table(name = "risk_tip", schema = "graphtb", catalog = "")
public class RiskTipEntity {
    private int id;
    private String decisionResult;
    private String detailedDescription;
    private String fastCompensateScore;
    private String claimno;

    @Id
    @Column(name = "id", nullable = false)
    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    @Basic
    @Column(name = "decision_result", nullable = true, length = 18)
    public String getDecisionResult() {
        return decisionResult;
    }

    public void setDecisionResult(String decisionResult) {
        this.decisionResult = decisionResult;
    }

    @Basic
    @Column(name = "detailed_description", nullable = true, length = 100)
    public String getDetailedDescription() {
        return detailedDescription;
    }

    public void setDetailedDescription(String detailedDescription) {
        this.detailedDescription = detailedDescription;
    }

    @Basic
    @Column(name = "fast_compensate_score", nullable = true, length = 100)
    public String getFastCompensateScore() {
        return fastCompensateScore;
    }

    public void setFastCompensateScore(String fastCompensateScore) {
        this.fastCompensateScore = fastCompensateScore;
    }

    @Basic
    @Column(name = "claimno", nullable = true, length = 18)
    public String getClaimno() {
        return claimno;
    }

    public void setClaimno(String claimno) {
        this.claimno = claimno;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        RiskTipEntity that = (RiskTipEntity) o;
        return id == that.id &&
                Objects.equals(decisionResult, that.decisionResult) &&
                Objects.equals(detailedDescription, that.detailedDescription) &&
                Objects.equals(fastCompensateScore, that.fastCompensateScore) &&
                Objects.equals(claimno, that.claimno);
    }

    @Override
    public int hashCode() {
        return Objects.hash(id, decisionResult, detailedDescription, fastCompensateScore, claimno);
    }
}
